# Copyright 2018 Eddie Schoute
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Quippy is a parser library for parsing Quipper ASCII quantum circuit descriptions."""

from quippy.parser import quipper_parser as parser
from quippy.transformer import Wire, Control, TypeAssignment_Type, TypeAssignment, Gate, QGate_Op, \
    QGate, QRot_Op, QRot, QInit, CInit, QTerm, CTerm, QMeas, QDiscard, CDiscard, SubroutineCall, \
    Comment, Circuit, Subroutine_Control, Subroutine, Start

__all__ = [parser, Wire, Control, TypeAssignment_Type, TypeAssignment, Gate, QGate_Op, QGate,
           QRot_Op, QRot, QInit, CInit, QTerm, CTerm, QMeas, QDiscard, CDiscard, SubroutineCall,
           Comment, Circuit, Subroutine_Control, Subroutine, Start]
